const { DataTypes } = require('sequelize');
const sequelize = require('./db');

const VenueImage = sequelize.define('VenueImage', {
  id: {
    type: DataTypes.INTEGER,
    primaryKey: true,
    autoIncrement: true
  },
  activityId: {
    type: DataTypes.INTEGER,
    allowNull: false
  },
  image: {
    type: DataTypes.STRING,
    allowNull: false
  },
  sortOrder: {
    type: DataTypes.INTEGER,
    defaultValue: 0,
    comment: '排序值,数字越小越靠前'
  }
});

module.exports = VenueImage;
